// simple LED flash program for PIC12F1822 on EasyPIC7
// note that only 5 LEDs will flash, as RA3 is input only
// enable PLL in configuration settings, select intosc, disable watchdog

void main() {

     OSCCON = 0xF0;           // internal 8MHz x4 PLL gives 32 MHz clock
     
     TRISA = 0;               // all output
     LATA = 0;                // get compiler to correct bank for LATA, so it doesn't have to do it in the while loop
     
     while(1){
          LATA = 0x01;
          Delay_ms(200);      // comment in for 1Hz, comment out for 2 MHz
          LATA = 0x02;
          Delay_ms(200);      // comment in for 1Hz, comment out for 2 MHz
          LATA = 0x04;
          Delay_ms(200);      // comment in for 1Hz, comment out for 2 MHz
          LATA = 0x10;
          Delay_ms(200);      // comment in for 1Hz, comment out for 2 MHz
          LATA = 0x20;
          Delay_ms(200);      // comment in for 1Hz, comment out for 2 MHz
     }
}