#line 1 "C:/PIC/MikroC/PIC12/PIC12F1822/IRrxSonyInt2serial/IRrxSony.c"
#line 31 "C:/PIC/MikroC/PIC12/PIC12F1822/IRrxSonyInt2serial/IRrxSony.c"
char word_text[7];
unsigned int counter;
unsigned int input_data;
unsigned char bit_count;
unsigned char current_state;
unsigned char ir_found;
unsigned char command_id;
unsigned char device_id;

void interrupt(){
 if (INTF_bit){
 switch(current_state){
 case 1:
 current_state = 2;
 INTEDG_bit = 1;
 break;
 case 2:
 counter = TMR1L;
 counter += (TMR1H * 256);
 if((counter > 2000) && (counter < 2800)){
 bit_count = 0;
 input_data = 0;
 current_state = 3;
 }
 else{
 current_state = 1;
 INTEDG_bit = 0;
 }
 break;
 case 3:


 counter = TMR1L;
 counter += (TMR1H * 256);
 bit_count++;
 input_data >>= 1;

 if(counter > 1500){
 input_data |= 0x8000;
 }
 if (bit_count == 12){
 ir_found = 1;
 input_data >>= 4;
 current_state = 1;
 }
 break;
 default: current_state = 1;
 }
 TMR1H = 0x00;
 TMR1L = 0x00;
 INTF_bit = 0;
 }

 if (TMR1IF_bit)
 {
 PORTA.B4 = ~PORTA.B4;
 current_state = 1;
 TMR1IF_bit = 0;
 }
}


void main() {
 OSCCON = 0x70;
 ANSELA = 0x00;
 TRISA = 0x04;
 LATA = 0;

 INTEDG_bit = 0;

 T1CON = 0x31;
 TMR1H = 0x00;
 TMR1L = 0x00;
 INTCON = 0xC0;
 TMR1IE_bit = 1;
 INTE_bit = 1;


 UART1_Init(115200);
 Delay_ms(100);
 UART1_Write_Text("\r\n\nSony IR  (Hex)\r\n");

 current_state = 1;
 counter = 0;
 ir_found = 0;

 while(1){
 if(ir_found){
 command_id = input_data & 0x7F;
 device_id = input_data >> 7;
 ir_found = 0;

 ByteToHex(command_id,word_text);
 UART1_Write_Text("\r\nCmd ");
 UART1_Write_Text(word_text);
 ByteToHex(device_id,word_text);
 UART1_Write_Text(" Ad ");
 UART1_Write_Text(word_text);

 }
 }
}
